Bulletin de sécurité Microsoft MS15-113 - Critique

Mise à jour de sécurité cumulative pour Microsoft Edge (3104519)

Date de publication : 10.11.15

Version : 1.0

Cette mise à jour de sécurité corrige des vulnérabilités dans Microsoft Edge. La plus grave de ces vulnérabilités pourrait permettre l'exécution de code à distance si un utilisateur affichait une page web spécialement conçue à l'aide de Microsoft Edge. Un attaquant qui parviendrait à exploiter ces vulnérabilités pourrait obtenir les mêmes droits que l'utilisateur actuel. Les clients dont les comptes sont configurés avec des privilèges moins élevés sur le système peuvent subir un impact inférieur à ceux possédant des privilèges d'administrateur.

Cette mise à jour de sécurité est de niveau « Critique » pour Microsoft Edge sous Windows 10. Pour plus d'informations, consultez la section Logiciels concernés.

Cette mise à jour corrige les vulnérabilités en modifiant la façon dont Microsoft Edge traite les objets en mémoire et en veillant à ce que Microsoft Edge implémente correctement la fonctionnalité de sécurité ASLR.

Pour plus d'informations sur les vulnérabilités, consultez la section Informations par vulnérabilité.

Pour plus d'informations sur cette mise à jour, voir l'Article 3104519 de la Base de connaissances Microsoft.

Les versions ou éditions répertoriées ci-dessous sont concernées. Les versions ou éditions non répertoriées ont atteint la fin de leur cycle de vie ou ne sont pas concernées. Consultez le site web Politique de Support Microsoft afin de connaître la politique de support Microsoft pour votre version ou édition.

Logiciels concernés 

Système d'exploitation

Composant

Impact de sécurité maximal

Indice de gravité cumulée

Mises à jour remplacées

Microsoft Edge

Windows 10 pour systèmes 32 bits [1]
(3105213)

Microsoft Edge

Exécution de code à distance

Critique

3096448 dans MS15-107

Windows 10 pour systèmes x64 [1]
(3105213)

Microsoft Edge

Exécution de code à distance

Critique

3096448 dans MS15-107

Windows 10 Version 1511 pour systèmes 32 bits [1]
(3105211)

Microsoft Edge

Exécution de code à distance

Critique

Aucune

Windows 10 Version 1511 pour systèmes x64 [1]
(3105211)

Microsoft Edge

Exécution de code à distance

Critique

Aucune

[1]Les mises à jour de Windows 10 sont cumulatives. Outre des mises à jour non liées à la sécurité, elles contiennent également l'ensemble des correctifs de sécurité pour toutes les vulnérabilités concernant Windows 10 fournis dans la mise à jour de sécurité mensuelle. Les mises à jour sont disponibles via le catalogue Microsoft Update.

Remarque Windows Technical Preview 3 est concerné. Les clients exécutant ce système d'exploitation sont invités à appliquer la mise à jour, qui est disponible via Windows Update

Les indices de gravité suivants considèrent l'impact potentiel maximal de la vulnérabilité. Pour plus d'informations sur les risques dans les 30 jours suivant la publication d'un Bulletin concernant l'exploitabilité de la vulnérabilité par rapport à son indice de gravité et à son impact, consultez l'Indice d'exploitabilité dans la synthèse des Bulletins de sécurité de novembre.

Le cas échéant, dans le tableau Indices de gravité et impact, les valeurs « Critique », « Important » et « Modéré » correspondent aux indices de gravité. Pour plus d'informations, consultez l'article consacré au système d'indices de gravité pour les Bulletins de sécurité. Reportez-vous à la légende suivante afin de connaître les abréviations utilisées dans le tableau pour indiquer l'impact maximal :

Abréviation

Impact maximal

RCE

Exécution de code à distance

EoP

Élévation de privilèges

ID

Divulgation d'informations

SFB

Contourner la fonctionnalité de sécurité

 

Indices de gravité par vulnérabilité et impact

Numéro CVE

Titre de la vulnérabilité

Microsoft Edge

CVE-2015-6064

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6073

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6078

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6088

Contournement d'ASLR dans le navigateur Microsoft

Clients Windows :
Important/SFB

Serveurs Windows :
Faible/SFB

Vulnérabilités de corruption de mémoire dans Microsoft Edge

Il existe plusieurs vulnérabilités d'exécution de code à distance lorsque Microsoft Edge accède de façon incorrecte à des objets en mémoire. Les vulnérabilités pourraient corrompre la mémoire en permettant à un attaquant d'exécuter du code arbitraire dans le contexte de l'utilisateur actuel.

Un attaquant pourrait héberger un site web spécialement conçu pour exploiter les vulnérabilités via Microsoft Edge, puis inciter un utilisateur à consulter ce site. L'attaquant pourrait également exploiter des sites web compromis et des sites web qui acceptent ou hébergent du contenu ou des annonces provenant d'utilisateurs qui pourraient contenir du code spécialement conçu susceptible d'exploiter les vulnérabilités. Toutefois, l'attaquant n'aurait aucun moyen de forcer l'utilisateur à afficher le contenu contrôlé par l'attaquant. Il devrait convaincre l'utilisateur de le faire, généralement en l'incitant à cliquer sur un lien dans un message électronique ou un message instantané qui mène au site web de l'attaquant, ou en l'incitant à ouvrir une pièce jointe envoyée par message électronique.

Un attaquant qui parviendrait à exploiter ces vulnérabilités pourrait obtenir les mêmes droits que l'utilisateur actuel. Si l'utilisateur actuel a ouvert une session avec des droits d'administrateur, un attaquant qui parviendrait à exploiter ces vulnérabilités pourrait prendre le contrôle d'un système affecté. Il pourrait alors installer des programmes, afficher, modifier ou supprimer des données, ou créer des comptes dotés de tous les privilèges. Les systèmes sur lesquels Microsoft Edge est fréquemment utilisé (comme les postes de travail ou les serveurs Terminal Server) sont les plus exposés aux vulnérabilités.

Cette mise à jour corrige les vulnérabilités en modifiant la façon dont Microsoft Edge traite les objets en mémoire.

Le tableau suivant contient des liens vers l'entrée standard correspondant à chaque vulnérabilité dans la liste Common Vulnerabilities and Exposures (CVE) :

Titre de la vulnérabilité

Numéro CVE

Révélée publiquement

Exploitée

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

CVE-2015-6064

Non

Non

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

CVE-2015-6073

Non

Non

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

CVE-2015-6078

Non

Non

Contournement d'ASLR dans le navigateur Microsoft – CVE-2015-6088

Il existe un contournement de la fonctionnalité de sécurité lorsque Microsoft Edge n'utilise pas la fonctionnalité de sécurité de randomisation du format d'espace d'adresse (ASLR), qui permet à un attaquant de prévoir de manière plus fiable les décalages de mémoire d'instructions spécifiques dans une pile d'appels donnée. Un attaquant qui parviendrait à l'exploiter pourrait contourner la fonctionnalité de sécurité de randomisation du format d'espace d'adresse (ASLR), qui contribue à protéger les utilisateurs contre un grand nombre de vulnérabilités. Le contournement de la fonctionnalité de sécurité ne suffit pas pour exécuter du code arbitraire. Toutefois, un attaquant pourrait utiliser ce contournement d'ASLR en combinaison avec une autre vulnérabilité, telle qu'une vulnérabilité d'exécution de code à distance, pour exécuter de manière plus fiable du code arbitraire sur un système cible.

Dans un scénario de navigation web, une exploitation réussie du contournement d'ASLR nécessite qu'un utilisateur ouvre une session et exécute une version affectée d'Internet Explorer. L'utilisateur devrait ensuite accéder à un site malveillant. C'est pourquoi les systèmes sur lesquels un navigateur web est fréquemment utilisé (tels que les postes de travail ou les serveurs Terminal Server) sont les plus exposés à ce contournement d'ASLR. Les serveurs pourraient être plus exposés si les administrateurs autorisaient les utilisateurs à naviguer sur Internet et à consulter leur messagerie électronique depuis ceux-ci. Toutefois, les meilleures pratiques recommandent vivement de ne pas autoriser cela.

Cette mise à jour corrige le contournement d'ASLR en veillant à ce que les versions affectées de Microsoft Edge implémentent correctement la fonctionnalité de sécurité ASLR.

Microsoft a été informée de ce contournement par une divulgation de contournement coordonnée. Au moment de la publication initiale de ce bulletin de sécurité, Microsoft n'était au courant d'aucune attaque visant à exploiter cette vulnérabilité.

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour cette vulnérabilité.

Solutions de contournement

Microsoft n'a identifié aucune solution de contournement pour cette vulnérabilité.

Pour plus d'informations sur le déploiement des mises à jour de sécurité, consultez l'article de la Base de connaissances Microsoft référencé ici dans la synthèse.

Microsoft reconnaît les efforts des professionnels de la sécurité qui contribuent à protéger les clients par une divulgation coordonnée des vulnérabilités. Reportez-vous à la page Remerciements pour plus d'informations.

Les informations fournies dans la Base de connaissances Microsoft sont fournies sans aucune garantie. Microsoft exclut toute garantie expresse ou implicite, notamment toute garantie de qualité et d'adéquation à un usage particulier. En aucun cas, la société Microsoft ou ses fournisseurs ne pourront être tenus pour responsables de quelque dommage que ce soit, y compris toute perte de bénéfices directe, indirecte ou accessoire, ou de dommages spéciaux, même si la société Microsoft a été prévenue de l'éventualité de tels dommages. Certains pays ne permettent pas l'exclusion ou la limitation de responsabilité pour les dommages indirects ou accessoires de sorte que la limitation ci-dessus peut ne pas appliquer.

  • V1.0 (10.11.15) : Bulletin publié.
Page générée le 04/11/2015 12:45:00-08:00.
Afficher: